commit d5eda1c258df2996ace50a723ba8b1d78bb86be6
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Mon Oct 31 10:18:28 2022 +0000

    Release process: permit minor version numbers after 99


commit 221321d2c51b83d1feced80ecd6c2fe33ec5456c
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Thu Nov 3 20:08:25 2022 +0000

    Fix daemon startup.  Bug 2930
    
    Broken-by: 7d5055276a

diff --git a/src/src/daemon.c b/src/src/daemon.c
index 54725e07d..8446f81cb 100644
--- a/src/src/daemon.c
+++ b/src/src/daemon.c
@@ -1776,15 +1776,19 @@ if (f.background_daemon)
   daemon as the result of a SIGHUP. In this case, there is no need to do
   anything, because the controlling terminal has long gone. Otherwise, fork, in
   case current process is a process group leader (see 'man setsid' for an
-  explanation) before calling setsid(). */
+  explanation) before calling setsid().
+  All other forks want daemon_listen cleared. Rather than blow a register, jsut
+  restore it here. */
 
   if (getppid() != 1)
     {
+    BOOL daemon_listen = f.daemon_listen;
     pid_t pid = exim_fork(US"daemon");
     if (pid < 0) log_write(0, LOG_MAIN|LOG_PANIC_DIE,
       "fork() failed when starting daemon: %s", strerror(errno));
     if (pid > 0) exit(EXIT_SUCCESS);      /* in parent process, just exit */
     (void)setsid();                       /* release controlling terminal */
+    f.daemon_listen = daemon_listen;
     }
   }
 
@@ -2122,7 +2126,7 @@ else if (f.daemon_listen)
 	      if (*--p == '}') *p = '\0';	/* drop EOL */
 	      while (isdigit(*--p)) ;		/* char before port */
 
-	      i2->log = *p == ':'		/* no list yet? */
+	      i2->log = *p == ':'		/* no list yet?     { */
 		? string_sprintf("%.*s{%s,%d}",
 		  (int)(p - i2->log + 1), i2->log, p+1, ipa->port)
 		: string_sprintf("%s,%d}", i2->log, ipa->port);

